Help us shape the future of Go! Take the 2026 Go Developer Survey

operator

package
v1.20.4 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Oct 23, 2026 License: Apache-2.0 Imports: 4 Imported by: 3

Documentation

Index

Constants

View Source
const GetHealthzInternalServerErrorCode int = 500

GetHealthzInternalServerErrorCode is the HTTP code returned for type GetHealthzInternalServerError

View Source
const GetHealthzNotImplementedCode int = 501

GetHealthzNotImplementedCode is the HTTP code returned for type GetHealthzNotImplemented

View Source
const GetHealthzOKCode int = 200

GetHealthzOKCode is the HTTP code returned for type GetHealthzOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetHealthz

type GetHealthz struct {
	Context *middleware.Context
	Handler GetHealthzHandler
}
GetHealthz swagger:route GET /healthz operator getHealthz

Get health of Cilium operator

Returns the status of cilium operator instance.

func NewGetHealthz

func NewGetHealthz(ctx *middleware.Context, handler GetHealthzHandler) *GetHealthz

NewGetHealthz creates a new http.Handler for the get healthz operation

func (*GetHealthz) ServeHTTP

func (o *GetHealthz) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetHealthzHandler

type GetHealthzHandler interface {
	Handle(GetHealthzParams) middleware.Responder
}

GetHealthzHandler interface for that can handle valid get healthz params

type GetHealthzHandlerFunc

type GetHealthzHandlerFunc func(GetHealthzParams) middleware.Responder

GetHealthzHandlerFunc turns a function with the right signature into a get healthz handler

func (GetHealthzHandlerFunc) Handle

Handle executing the request and returning a response

type GetHealthzInternalServerError

type GetHealthzInternalServerError struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

GetHealthzInternalServerError Cilium operator is not healthy

swagger:response getHealthzInternalServerError

func NewGetHealthzInternalServerError

func NewGetHealthzInternalServerError() *GetHealthzInternalServerError

NewGetHealthzInternalServerError creates GetHealthzInternalServerError with default headers values

func (*GetHealthzInternalServerError) SetPayload

func (o *GetHealthzInternalServerError) SetPayload(payload string)

SetPayload sets the payload to the get healthz internal server error response

func (*GetHealthzInternalServerError) WithPayload

WithPayload adds the payload to the get healthz internal server error response

func (*GetHealthzInternalServerError) WriteResponse

func (o *GetHealthzInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetHealthzNotImplemented

type GetHealthzNotImplemented struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

GetHealthzNotImplemented Cilium operator health status not available

swagger:response getHealthzNotImplemented

func NewGetHealthzNotImplemented

func NewGetHealthzNotImplemented() *GetHealthzNotImplemented

NewGetHealthzNotImplemented creates GetHealthzNotImplemented with default headers values

func (*GetHealthzNotImplemented) SetPayload

func (o *GetHealthzNotImplemented) SetPayload(payload string)

SetPayload sets the payload to the get healthz not implemented response

func (*GetHealthzNotImplemented) WithPayload

func (o *GetHealthzNotImplemented) WithPayload(payload string) *GetHealthzNotImplemented

WithPayload adds the payload to the get healthz not implemented response

func (*GetHealthzNotImplemented) WriteResponse

func (o *GetHealthzNotImplemented) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetHealthzOK

type GetHealthzOK struct {

	/*
	  In: Body
	*/
	Payload string `json:"body,omitempty"`
}

GetHealthzOK Cilium operator is healthy

swagger:response getHealthzOK

func NewGetHealthzOK

func NewGetHealthzOK() *GetHealthzOK

NewGetHealthzOK creates GetHealthzOK with default headers values

func (*GetHealthzOK) SetPayload

func (o *GetHealthzOK) SetPayload(payload string)

SetPayload sets the payload to the get healthz o k response

func (*GetHealthzOK) WithPayload

func (o *GetHealthzOK) WithPayload(payload string) *GetHealthzOK

WithPayload adds the payload to the get healthz o k response

func (*GetHealthzOK) WriteResponse

func (o *GetHealthzOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetHealthzParams

type GetHealthzParams struct {
	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`
}

GetHealthzParams contains all the bound params for the get healthz operation typically these are obtained from a http.Request

swagger:parameters GetHealthz

func NewGetHealthzParams

func NewGetHealthzParams() GetHealthzParams

NewGetHealthzParams creates a new GetHealthzParams object

There are no default values defined in the spec.

func (*GetHealthzParams) BindRequest

func (o *GetHealthzParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetHealthzParams() beforehand.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL